import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:petitbac/cubit/game_cubit.dart';
import 'package:petitbac/cubit/settings_game_cubit.dart';
import 'package:petitbac/cubit/settings_global_cubit.dart';

class StartNewGameButton extends StatelessWidget {
  const StartNewGameButton({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameSettingsCubit, GameSettingsState>(
      builder: (BuildContext context, GameSettingsState gameSettingsState) {
        return BlocBuilder<GlobalSettingsCubit, GlobalSettingsState>(
          builder: (BuildContext context, GlobalSettingsState globalSettingsState) {
            final GameCubit gameCubit = BlocProvider.of<GameCubit>(context);

            return TextButton(
              child: const Image(
                image: AssetImage('assets/icons/button_start.png'),
                fit: BoxFit.fill,
              ),
              onPressed: () => gameCubit.startNewGame(
                gameSettings: gameSettingsState.settings,
                globalSettings: globalSettingsState.settings,
              ),
            );
          },
        );
      },
    );
  }
}
